Bug 56109 - X- forwarding no longer works after updating openssh-server
X- forwarding no longer works after updating openssh-server
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Depends On:
  Show dependency treegraph
Reported: 2001-11-12 16:22 EST by Justin A. Brown
Modified: 2007-04-18 12:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-03 08:24:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Justin A. Brown 2001-11-12 16:22:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
after upgrading openssh to openssh-server-2.9p2-9.i386.rpm, X forwarding 
no longer functions properly. I had to uninstall and reinstall openssh-
server-2.9p2-5.i386.rpm  to use X forwarding

Version-Release number of selected component (if applicable):openssh-

How reproducible:

Steps to Reproduce:
1.ssh user@upgradedsshservermachine
2.open any x application.: bash>xeyes&

Actual Results:  invalid mit magic cookie

Expected Results:  seamless xforward through secure tunnel

Additional info:
Comment 1 Nalin Dahyabhai 2002-03-07 16:09:06 EST
When you log in on the server, what are the XAUTHORITY and DISPLAY environment
variables set to?  What output do you get if you run ssh with the "-v" option
when logging in?
Comment 2 Mike A. Harris 2002-05-29 23:14:11 EDT
ssh X11 forwarding works for me ok.  I'd say this bug is a transient issue
of some sort or local config problem.
Comment 3 Alexander Kanevskiy 2002-05-30 08:45:32 EDT
By default on new openssh in sshd_config X11UseLocalhost set to yes. 
So, then app want connect - it try connect to $hostname (usually to real
ip on ethernet/etc...), but sshd bind to localhost:7xxx port.

Note You need to log in before you can comment on or make changes to this bug.